import IHttp from './http';
import { ILoggerConfig, ISaveCallParam } from './log';
import { IGlobalConfig } from './globalConfig';
declare class LoggerConfig {
    isDebug?: boolean;
    saveCall?: (data: ISaveCallParam) => void;
    logInfo?: Console;
    toConfig(): ILoggerConfig;
}
export default function install(config: ILoggerConfig, httpService?: IHttp, globalConfig?: IGlobalConfig): void;
export { LoggerConfig };
